Subject: Re: Has anyone got id-utils (mkid, lid) to compile and run?
From: [email-masked] (Bartlee A. Anderson)

10 Dec 1997 15:59:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Ron Aaron <[email-masked]>
Cc: [email-masked]

I don't see anything obviously wrong. I would suggest re-mounting as
binary all filesystems ;)

It looks like you can't cd to d from /
Try an experiment like I did.
cd /
cd d
doesn't work
cd /d
that works.
may have something to do with separate devices but needing full path to
access. I'll forward to the list for further comment.

	Bart

Ron Aaron wrote:
> 
> Bartlee-
> 
> Here is the output from mount:
> Device           Directory           Type        Flags
> s:               /s                  native      no-mixed,text!=binary
> \\.\tape1:       /dev/st1            native      no-mixed,text!=binary
> \\.\tape0:       /dev/st0            native      no-mixed,text!=binary
> \\.\b:           /dev/fd1            native      no-mixed,text!=binary
> \\.\a:           /dev/fd0            native      no-mixed,text!=binary
> d:               /d                  native      no-mixed,text!=binary
> c:               /                   native      no-mixed,text!=binary
> 
> > -----Original Message-----
> > From: Bartlee A. Anderson [SMTP:[email-masked]]
> > Sent: Tuesday, December 09, 1997 12:59 PM
> > To: Ron Aaron
> > Subject: Re: Has anyone got id-utils (mkid, lid) to compile and run?
> >
> >
> > Ron Aaron wrote:
> > >
> > > Hi all,
> > >
> > > I recently installed b18 so I could use Win32 versions of my
> > favorite *nix tools.  Among them, id-utils.
> > >
> > > I have been using the DGJPP port, which works - but the DOS
> > extender causes me some problems, plus I am sure it is slower than a
> > native port.
> > >
> > > Anyway, I untarred id-utils, went to the src directory, did make -
> > everything went fine (I was amazed!).
> > >
> > > When I try to run the cygwin version of mkid, I get the following messages:
> > > mkid: can't lstat `D' from `'
> > > mkid: can't chdir to `D' from `/': No such file or directory
> > > mkid: can't chdir to `D/vim' from `/': No such file or directory
> > > mkid: can't chdir to `D/vim/src' from `/': No such file or directory
> > > mkid: can't read entire language map file `/usr/local/share/id-lang.map'
> >
> > What does your mount output look like?
> > >
> > > Ignoring the 'map' message, which I know how to fix - it looks like
> > somehow the file name is getting parsed incorrectly (the dir is: d:/vim/src)
> > >
> > > Any ideas, pointers or help would be very much appreciated!
> > >
> > > Thanks,
> > > Ron
> > > -
> > > For help on using this list (especially unsubscribing), send a message to
> > > "[email-masked]" with one line of text: "help".
> >
> > --
> > Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
> > Rockwell International                    Electronic Commerce Division
> > 300 Bauman Ct.                                [email-masked]
> > MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
> > Wood Dale, IL 60191                               FAX   (630) 227-9771
> >
> >

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".